Go Down

Topic: Migrer de Arduino IDE 022 à la nouvelle version. (Read 923 times) previous topic - next topic

Bonjour à tous,

Je travaille avec la version 022 depuis sa sortie et j'ai appris notamment avec l'excellent livre de Christian Tavernier et le site du zéro avec cette même version. Depuis j'ai fais beaucoup de programme( petit quant même). Je souhaiterais maintenant passer à la dernière version, mais j'ai des doutes quant à la compatibilité. J'ai lu beaucoup de topic sur le forum  et je dois dire qu'il y a beaucoup de controverse.
Ma question et surtout ma requête et simple. Y a t'il une âme charitable qui peut m'expliquer clairement le procéder afin que je puisse faire tourner mes programmes ou les tutos sous la dernière version arduino?

Je vous remercie par avance pour vos solutions.   
Cordialement Jean Claude

SesechXP

Salut,

Tu peux commencer par lire les release notes qui listent tous les changements d'une version à l'autre. Il te faudra adapter tes projets en conséquence.

Sinon tu peux également installer la version 1.0.1 et essayer de compiler tes projets. Tu verras très rapidement où ça coince et où il faut intervenir. Là encore les release notes seront une aide précieuse...

++
Julien - www.idreammicro.com

#2
Jul 13, 2012, 11:19 am Last Edit: Jul 13, 2012, 11:22 am by chimere322 Reason: 1
Héhé,

Superbe réponse mais, au dessus de mon avatar c'est écris Newbie. Merci, je vais traduire tout ça avec le moteur de recherche préféré. Autant mettre le post en résolue tout de suite. Ça ne m'avancera pas plus, mais bon.
Cordialement Jean Claude

SesechXP

#3
Jul 13, 2012, 12:09 pm Last Edit: Jul 13, 2012, 12:18 pm by SesechXP Reason: 1
On a tous eu ce statut en arrivant sur le forum et à part le fait que tu sois nouveau sur le forum ça n'indique pas grand chose... Je ne connais(sais) pas ton niveau et t'ai donné des pistes. Tu constateras que la liste des modifications est exhaustive et ne sachant pas ce que tu utilises exactement je peux difficilement t'en dire plus :smiley-roll:

Tu peux commencer par remplacer tous les #include <WProgram.h> par #include <Arduino.h>. Ensuite si tu essayes de compiler avec Ardsuino 1.0.1 tu auras sans doute des soucis avec tes projets qui utilisent les bibliothèques Wire, Serial et Stream. Essaye et reviens poser tes questions si tu n'arrives pas à résoudre les erreurs.

++
Julien - www.idreammicro.com

skywodd

Bonjour,


Y a t'il une âme charitable qui peut m'expliquer clairement le procéder afin que je puisse faire tourner mes programmes ou les tutos sous la dernière version arduino?

Je n'ai pas la prétention de vouloir tout expliquer en profondeur, mais j'ai fait un récapitulatif des différentes les modifications entre 0023 et 1.0 :
http://skyduino.wordpress.com/2012/02/09/arduino-1-0-et-uno-rev3-les-changements-qui-changent-tout/
(milieu de page, attention il y a beaucoup à lire ;))
Des news, des tutos et plein de bonnes choses sur http://skyduino.wordpress.com !

Un grand merci à vous deux, je m'y attelle dés maintenant et je vais tenter par la pratique. 
Cordialement Jean Claude

Go Up